-- Database for Warband Reference
-- coding: utf-8 'ä

-- Fields: M=Morale, L=Level, B=Box color, F=Fellowship
--			D=Difficulty, A=Allies, C=Combat, N=Note
-- Dmg types: A=AncientDwarf, B=Beleriand F=Fire, f=frost, 
--			L=Light, l=lightning, S=Shadow, W=Westerness
-- Combat: F=Foot, M=Mounted, m=Melee, r=Ranged
-- Fellowships: S=Solo, f=Small Fellowship, F=Fellowship, R=Raid

Box = { B="Blue", R="Red", G="Green", S="Silver" }
Mnt = { F="No", M="Yes" }
Combat = { F="Foot", M="Mounted", m="Melee", r="Ranged" }
Diff = { W="Swarm", n="Normal", S="Signature", E="Elite", 
		M="Elite Master", N="Nemesis", A="Arch-nemesis" }
Fs = {S="Solo", f="Small Fellowship", F="Fellowship", R="Raid"}
		Region = { Eriador=1, Rhovanion=2, ["Tales of Yore"]=2, 
			Gondor=3, Mordor=4, Haradwaith=5 }
KAf = "Kill Allies first"
WB = {
-- East Rohan
	["Cinder"] = { z="The Wold", L=77, M="15,338", l="40.0s, 54.4w",
				F="S", B="B", D="S", A="2WFm", C="Fr" },
	["Hanrun"] = { z="The Wold", L=77, M="15,338", l="45.6s, 50.5w",
				F="S", B="B", D="S", A="2WFm", C="Fm" },
	["Urush"] = { z="The Wold", L=77, M="15,338", l="41.6s, 48.0w",
				F="S", B="B", D="S", A="2nMm", C="Mr" },
	["Bughrakh"] = { z="The Wold", L=77, M="76,689", l="46.4s, 47.2w",
				F="f", B="R", D="M", A="4WFr", C="Fm" },

	["Dahámab"] = { z="Norcrofts", L=79, M="20,700", l="45.1s, 57.5w",
				F="S", B="B", D="S", A="4nMr", C="Mm", N="Beware ranged allies" },
	["Skútog"] = { z="Norcrofts", L=79, M="47,041", l="50.6s, 55.2w",
				F="S", B="B", D="E", A="4nFm", C="Fm", N="Slow, has tactical attack" },
	["Swertríper"] = { z="Norcrofts", L=79, M="37,633", l="54.0s, 54.6w",
				F="S", B="B", D="E", A="2nFm", C="Fm" },
	["Haglob"] = { z="Norcrofts", L=79, M="125,684", l="46.8s, 53.7w",
				F="f", B="R", D="M", A=" ", C="Fm" },

	["Bensengan"] = { z="Entwash Vale", L=82, M="9,216", l="51.3s, 61.6w",
				F="S", B="B", D="N", A="2WFr", C="Fr" },
	["Mâthum"] = { z="Entwash Vale", L=82, M="11,666", l="44.8s, 63.2w",
				F="S", B="B", D="S", A="3WMr", C="Mm" },--
	["Dâl"] = { z="Entwash Vale", L=82, M="111,581", l="52.0s, 60.5w",
				F="f", B="R", D="M", A="2EMm1EMr", C="Mm", N="Dismounts, tough to solo" },
	["Fearrhorn"] = { z="Entwash Vale", L=80, M="104,535", l="51.2s, 61.7w",
				F="f", B="R", D="M", A="4nFm3WFm", C="Fm", N="Non-agressive" },
	["Mirz"] = { z="Entwash Vale", L=82, M="51,849", l="44.8s, 63.2w",
				F="f", B="R", D="E", A="2SMm2nMr2nFr", C="Fm", "Kill boss first" },
	["Urgai"] = { z="Entwash Vale", L=81, M="184.325", l="51.4s, 61.2w",
				F="F", B="G", D="N", A="1EMr1EMm", C="Mr" },--

	["Gundul"] = { z="Sutcrofts", L=84, M="121,516", l="56.0s, 61.0w",
				F="f", B="R", D="M", A="8nFm", C="Fm", N="Easy ranged kill" },
	["Kramp"] = { z="Sutcrofts", L=85, M="124,100", l="60.0s, 60.0w",
				F="F", B="G", D="M", A="4SMr", C="Mm", N="Hits very hard, moves fast" },
	["Bugud"] = { z="Sutcrofts", L=86, M="783,383", l="60.0s, 57.7w",
				F="R", B="S", D="A", A="2EFm3SFr", C="Mm", N="Hits hard, slow kill" },
-- Wildermore
	["Foulwing"] = { z="Wildermore", L=85, M="24,820", l="36.8s, 57.6w",
				F="S", B="B", D="S", A="4WFm", C="Mm", N="Easy kill" },--
	["Gîmtog"] = { z="Wildermore", L=85, M="25,321", l="37.2s, 63.0w",
				F="S", B="B", D="S", A="3nFm", C="Fm", N="Easy kill" },
	["Karkas"] = { z="Wildermore", L=85, M="24,720", l="30.8s, 63.1w",
				F="S", B="B", D="S", A=" ", C="Mm" },--
	["Shum"] = { z="Wildermore", L=85, M="25,071", l="42.5s, 57.6w",
				F="S", B="B", D="S", A="2WFm", C="Fm" },--
	["High Knolls Blizzard"] = { z="Wildermore", L=85, M="27,578", l="34.4s, 67.2w",
				F="S", B="B", D="S", A="2WFr", C="Fr", N="Has knockback skill" },--
	["Arataus"] = { z="Wildermore", L=85, M="112,375", l="41.6s, 56.0w",
				F="f", B="R", D="E", A="4nMm", C="Mm", N="Can't outrun group" },--
	["Balcharan"] = { z="Wildermore", L=85, M="56,409", l="35.2s, 60.8w",
				F="f", B="R", D="E", A="3WFm", C="Fr", N="Easy, slow, +2 dread" },
	["Varg"] = { z="Wildermore", L=86, M="156,677", l="34.3s, 69.7w",
				F="f", B="R", D="M", A="3SFr2EFm", C="Fm", N="Kill ranged allies" },
	["Voz"] = { z="Wildermore", L=85, M="253,215", l="38.4s, 58.4w",
				F="F", B="G", D="N", A="2SMr", C="Mm", N="Hits hard, moves fast" },
	["Zovarr"] = { z="Wildermore", L=85, M="253,215", l="43.2s, 60.8w",
				F="F", B="G", D="N", A="2EFm4nFr", C="Fr", N="Stun stops player" },--
	["Conog"] = { z="Wildermore", L=85, M="674,175", l="40.5s, 63.6w",
				F="R", B="S", D="A", A="3SFr2nMr", C="Mr", N="Poison, Trip, Lethargy" }, --
	["Rottenheart"] = { z="Wildermore", L=86, M="104,451", l="34.7s, 71.6w",
				F="R", B="G", D="N", A="3MFr3EFm", C="Fr", N="Hits hard & ranged" },--
	["Shaguk"] = { z="Wildermore", L=85, M="674,175", l="41.6s, 56.0w",
				F="R", B="S", D="A", A="4MMr", C="Mm" },
-- "West Rohan
	["Ora"] = { z="Kingstead", L=87, M="122,463", l="61.5s, 64.9w",
				F="f", B="R", D="M", A="3sFr", C="Fm" },
	["Nûdît"] = { z="Kingstead", L=86, M="117,413", l="54s, 66w",
				F="F", B="G", D="M", A="3EMm3SMr", C="M" },
	["Glendower"] = { z="Kingstead", L=87, M="134,602", l="54s, 66w",
				F="F", B="G", D="M", A="2EMm2SMr", C="M" },

	["Snapfang"] = { z="Eastfold", L=88, M="24,998", l="54s, 66w",
				F="S", B="B", D="E", A="2nFm", C="Fm" },
	["Darkheart"] = { z="Eastfold", L=88, M="22,", l="68s, 54w",
				F="f", B="R", D="S", A="2nFm", C="Fm" },
	["Búrzash	"] = { z="Eastfold", L=88, M="22,", l="66s, 58w",
				F="F", B="G", D="E", A="3nFr", C="Fm" },
	["Felljaw"] = { z="Eastfold", L=88, M="61,807", l="69.6s, 62.4w",
				F="F", B="G", D="E", A="4nFm", C="Fm" },
	["Scion of the Great Bear"] = { z="Eastfold", L=89, M="262,500",
				l="70.5s, 60.2w", F="R", B="", D="N", A="5nFm", C="Fm" },
	["Cledwun"] = { z="Broadacres", L=90, M="206,419", l="48.1s, 71.7w",
				F="F", B="G", D="M", A="6nMr", C="M" },

	["Ognir"] = { z="Stonedeans", L=92, M="66,471", l="50s, 77w",
				F="S", B="B", D="E", A=" ", C="Fm" },
	["Inras"] = { z="Stonedeans", L=92, M="31,209", l="58.0s, 78.4w",
				F="S", B="B", D="S", A="3nFm", C="Fm" },
	["Geralht"] = { z="Stonedeans", L=92, M="70,220", l="53.6s, 76.0w",
				F="S", B="B", D="E", A="4wFr", C="Fm", N="Kill archers first" },
	["Rog-votak"] = { z="Stonedeans", L=92, M="312,090", l="53.7s, 76.2w",
				F="F", B="G", D="N", A="3mMr3sMr", C="Mr" },
	["Neivion"] = { z="Stonedeans", L=92, M="295,425", l="49.6s, 76.8w",
				F="F", B="G", D="N", A="3mFr2eFm", C="Fm" },
	["Macsen"] = { z="Stonedeans", L=92, M="935,270", l="53.6s, 76.0w",
				F="R", B="S", D="N", A="3NMr3MMm", C="Mr", N="Very dangerous!" },

	["Voraut"] = { z="Westfold", L=95, M="33,652", l="54s, 87w",
				F="S", B="B", D="S", A="2nFm", C="Fm", N="Wolf, easy kill" },
	["Patarshan"] = { z="Westfold", L=95, M="", l="63s, 79w",
				F="f", B="", D="", A="", C="" },
	["Krûpû"] = { z="Westfold", L=95, M="168,260", l="59.2s, 78.2w",
				F="F", B="", D="M", A="3SFm3nFm", C="Fm", N="Krûpû has dismount attack" },
	["Bosnauk"] = { z="Westfold", L=95, M="76,474", l="57.7s, 82.4w",
				F="R", B="S", D="E", A="5sFm", C="Fm" },
	-- ["Glen"] = { z="King", L=9, M="", l="54s, 66w",
	-- 			B="", D="", A="", C="" },
	["Bethan"] = { z="Westfold", L=95, M="977,175", l="56.9s, 88.2w",
				F="R", B="S", D="A", A="1eFm3sFm3nFm", C="Fr" },
-- Gondor
	["Old Brog"] = { z="West Gondor", L=96, M="77,860", l="60.7s, 67.2w",
				F="f", B="R", D="E", A="2SFr", C="Fm", N="Easy ranged kill" },
	["Hemokh"] = { z="West Gondor", L=97, M="355,747", l="58.1s, 68.6w",
				F="F", B="R", D="N", A="3EFm2EFr", C="Fm", N="Hard kill" },
	["The Great Bull"] = { z="West Gondor", L=97, M="", l="67.1s, 57.7w",
				F="f", B="R", D="E", A="2SFm2WFm", C="Fm", N="Easy ranged kill" },
	["Old Snapper"] = { z="West Gondor", L=98, M="83,089", l="65.5s, 55.0w",
				F="f", B="R", D="E", A=" ", C="Fm", N="Easy ranged kill" },
	["Corugwen the Cunning"] = { z="West Gondor", L=98, M="365,629", l="61.8s, 57.7w",
				F="R", B="S", D="N", A="4EFm4sfm", C="Fm", N="Slow kill" },
	["Adirjan the Brute"] = { z="West Gondor", L=99, M="101,437", l="77.5s, 72.0w",
				F="S", B="B", D="E", A=" ", C="Fm", N="Easy kill" },
	["Skulkmire"] = { z="West Gondor", L=99, M="102,451", l="73.5s, 59.9w",
				F="f", B="R", D="E", A="3nFm", C="Fm", N="Easy ranged kill" },

	["Sorzúr"] = { z="Dead Marshes", L=100, M="34,304", l="27.4s, 11.4w",
				F="S", B="B", D="E", A="", C="Fm" },
	["Búrgoth"] = { z="Dead Marshes", L=100, M="41,996", l="27.8s, 17.8w",
				F="f", B="R", D="E", A="2nFm2nFr", C="Fm" },

	["Skorneval"] = { z="Central Gondor", L=102, M="203,493", l="79.4s, 51.7w",
				F="f", B="R", D="M", A="3EFm", C="Fm", N="Dread" },
	["Hamarsun"] = { z="Central Gondor", L=102, M="109,886", l="73.5s, 59.9w",
				F="f", B="R", D="E", A="3MFm", C="Fm", N="Hard to kill, avoid allies" },
	["Hokhir"] = { z="Central Gondor", L=100, M="463,126", l="73.5s, 59.9w",
				F="F", B="G", D="E", A="6EFm", C="Fm", N="Hard to kill" },
	["Shatúpash"] = { z="Central Gondor", L=103, M="506,363", l="81.4s, 51.3w",
				F="F", B="G", D="E", A="3EFm3SFr", C="Fm", N="Kill ranged allies first" },
	["Darik"] = { z="Central Gondor", L=102, M="109,886", l="83.4s, 42.6w",
				F="S", B="B", D="E", A="", C="Fm", N="Easy ranged kill" },
	["Shataz"] = { z="Central Gondor", L=100, M="226,081", l="83.6s, 37.1w",
				F="f", B="R", D="M", A="4EFm", C="Fm", N="Slow kill, beware adds" },
	["Vilosh"] = { z="Central Gondor", L=103, M="417,793", l="80.6s, 35.3w",
				F="F", B="G", D="N", A="6EMm", C="Mm", N="Very dangerous" },

	["Kasota"] = { z="East Gondor", L=101, M="198,185", l="81.6s, 28.0w",
				F="f", B="R", D="M", A="3sMm", C="Mm", N="Moves fast, hits hard" },
	["Gundrágh"] = { z="East Gondor", L=101, M="109,058", l="64.2s, 3.8w",
				F="F", B="G", D="M", A="2EFm3SFm", C="Mm", N="Slow, hard to kill" },
	["Thangol-ya"] = { z="East Gondor", L=103, M="1,090,800", l="70.4s, 8.8w]",
				F="R", B="S", D="A", A="6SFm", C="Mr", N="Slow, very hard to kill" },
				
	["Sharshûg"] = { z="Old Anórien", L=103, M="121,176", l="67.8s,13.3w",
				F="f", B="R", D="M", A="4SFm", C="Fm", N=KAf },
	["Okursa"] = { z="Old Anórien", L=103, M="180,000", l="69.6s, 15.8s",
				F="F", B="G", D="N", A="3EFm2Mfm", C="Fm", N=KAf },
	["Kûr-anchi"] = { z="Old Anórien", L=103, M="363,600", l="66.2s, 12.6w]",
				F="F", B="G", D="N", A="3E", C="M", N=KAf },
	["Fen-skulk"] = { z="Old Anórien", L=103, M="48,114", l="60.8s, 12.1w",
				F="f", B="R", D="E", A="3SFm", C="Fm", N=KAf },
	["Mauzúr"] = { z="Old Anórien", L=102, M="39,087", l="47.5s, 17.8w",
				F="f", B="R", D="S", A="4SMm", C="Mr", N=KAf },
	["Tupûrta"] = { z="Old Anórien", L=103, M="269,973", l="58.2s, 11.6w",
				F="F", B="G", D="M", A="3EFm", C="Fm", N=KAf },

	["Aslâ Khimash"] = { z="Far Anórien", L=105, M="19,800", l="46.1s, 19.8w",
				F="S", B="B", D="S", A="3SMm", C="Mm", N="Moves fast" },
	["Ganglemód"] = { z="Far Anórien", L=105, M="23,760", l="50.1s, 24.7w",
				F="S", B="B", D="S", A="", C="Fm", N="Easy kill" },
	["Krûghu"] = { z="Far Anórien", L=105, M="45,664", l="55.9s, 18.2w",
				F="f", B="R", D="E", A="3SFm", C="Fm", N=KAf },
	["Naurúk"] = { z="Far Anórien", L=105, M="23,7600", l="43.0s, 36.1w",
				F="S", B="B", D="S", A="1nMm", C="Mm", N=KAf },
	["Jarl Vrakya"] = { z="Far Anórien", L=105, M="53,995", l="41.6s,42.5w",
				F="f", B="R", D="E", A="1SFm2SFr", C="Mm", N=KAf },

	["Shomushúk"] = { z="North Ithilien", L=105, M="23,522", l="42.1s, 12.5w",
				F="f", B="R", D="S", A="6SFm", C="Fm" },
	["Ognir"] = { z="North Ithilien", L=105, M="99,000", l="56.0s, 5.5w",
				F="f", B="R", D="M", A="", C="Fr" },
	["Bittergall"] = { z="North Ithilien", L=105, M="99,000", l="57.1s, 7.8w",
				F="F", B="G", D="N", A="5nFm", C="Fm" },
-- Elderslade
	["Mozlut"] = { z="Elderslade", L=130, M="2,050,400", l="98.1s, 16.9w",
				F="f", D="N", A="", C="Fm", N="Slow, hard to kill" },
	["Hoshkhor"] = { z="Elderslade", L=130, M="828,362", l="97.4s, 19.5w",
				F="f", D="M", A="", C="Fm" },
	["Svalblóth"] = { z="Elderslade", L=130, M="820,160", l="95.1s, 18.4w",
				F="f", D="N", A="", C="Fm", N="Slow" },
	["Grush-and-Flak"] = { z="Elderslade", L=130, M="2,460480", l="95.2s, 20.4w",
				F="F", D="N", A="", C="Fm", N="Slow kill, hits hard" },
	}

Zone = { }
for n,t in pairs(WB) do
	local z = t.z
	if Zone[z] then Zone[z] = Zone[z]+1
	else Zone[z] = 1 end
end
zones = { }
for name in pairs(Zone) do
    table.insert(zones,name)
end
table.sort(zones)
